import { Injectable } from '@nestjs/common';
import { BaseChangePosition } from 'src/core/modules/domain/usecase/managers/base-change-position.manager';
import { TermConditionEntity } from '../../entities/term-condition.entity';
import { TermConditionModel } from '../../../data/models/term-condition.model';

@Injectable()
export class ChangePositionTermConditionManager extends BaseChangePosition<TermConditionEntity> {
  get entityTarget(): any {
    return TermConditionModel;
  }

  async afterProcess(): Promise<void> {
    return;
  }
}
